org.apache.http.impl.cookie

## Class RFC2965DomainAttributeHandler

- java.lang.Object
- - org.apache.http.impl.cookie.RFC2965DomainAttributeHandler

- All Implemented Interfaces:
    CommonCookieAttributeHandler, CookieAttributeHandler

      @Contract(threading=IMMUTABLE)
      public class RFC2965DomainAttributeHandler
      extends Object
      implements CommonCookieAttributeHandler

  `"Domain"` cookie attribute handler for RFC 2965 cookie spec.
  Since:
    3.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFC2965DomainAttributeHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `domainMatch(String host, String domain)` Performs domain-match as defined by the RFC2965.
    `String` | `getAttributeName()`
    `boolean` | `match(Cookie cookie, CookieOrigin origin)` Match cookie domain attribute.
    `void` | `parse(SetCookie cookie, String domain)` Parse cookie domain attribute.
    `void` | `validate(Cookie cookie, CookieOrigin origin)` Validate cookie domain attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RFC2965DomainAttributeHandler

          public RFC2965DomainAttributeHandler()

  - ### Method Detail

    - #### parse

          public void parse(SetCookie cookie,
                   String domain)
                     throws MalformedCookieException

      Parse cookie domain attribute.
      Specified by:
        `parse` in interface `CookieAttributeHandler`
      Parameters:
        `cookie` - `Cookie` to be updated
        `domain` - cookie attribute value from the cookie response header
      Throws:
        `MalformedCookieException`

    - #### domainMatch

          public boolean domainMatch(String host,
                            String domain)

      Performs domain-match as defined by the RFC2965.

      Host A's name domain-matches host B's if

      1. their host name strings string-compare equal; or
      2. A is a HDN string and has the form NB, where N is a non-empty name string, B has the form .B', and B' is a HDN string. (So, x.y.com domain-matches .Y.com but not Y.com.)
      Parameters:
        `host` - host name where cookie is received from or being sent to.
        `domain` - The cookie domain attribute.
      Returns:
        true if the specified host matches the given domain.

    - #### validate

          public void validate(Cookie cookie,
                      CookieOrigin origin)
                        throws MalformedCookieException

      Validate cookie domain attribute.
      Specified by:
        `validate` in interface `CookieAttributeHandler`
      Parameters:
        `cookie` - `Cookie` to validate
        `origin` - the cookie source to validate against
      Throws:
        `MalformedCookieException` - if cookie validation fails for this attribute

    - #### match

          public boolean match(Cookie cookie,
                      CookieOrigin origin)

      Match cookie domain attribute.
      Specified by:
        `match` in interface `CookieAttributeHandler`
      Parameters:
        `cookie` - `Cookie` to match
        `origin` - the cookie source to match against
      Returns:
        `true` if the match is successful; `false` otherwise

    - #### getAttributeName

          public String getAttributeName()

      Specified by:
        `getAttributeName` in interface `CommonCookieAttributeHandler`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.